Support

Domain Actions

View as Markdown

Poll the status and cancel asynchronous operations queued by domain write requests.

Retrieves a list of the most recent actions for the specified domain

GET
/v2/customers/{customerId}/domains/{domain}/actions

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain whose actions are to be retrieved

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v2/customers/string/domains/string/actions"
[
  {
    "type": "AUTH_CODE_PURCHASE",
    "origination": "USER",
    "createdAt": "string",
    "startedAt": "string",
    "completedAt": "string",
    "modifiedAt": "string",
    "status": "ACCEPTED",
    "reason": {
      "code": "string",
      "message": "string",
      "fields": [
        {
          "code": "string",
          "message": "string",
          "path": "string",
          "pathRelated": "string"
        }
      ]
    },
    "requestId": "string"
  }
]
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Retrieves the most recent action for the specified domain

GET
/v2/customers/{customerId}/domains/{domain}/actions/{type}

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain whose action is to be retrieved

type*string

The type of action to retrieve

Value in"AUTH_CODE_REGENERATE" | "CHANGE_OF_REGISTRANT_DELETE" | "DOMAIN_DELETE" | "DOMAIN_UPDATE" | "DOMAIN_UPDATE_CONTACTS" | "DOMAIN_UPDATE_NAME_SERVERS" | "PRIVACY_FORWARDING_UPDATE" | "REGISTER" | "TRANSFER" | "TRANSFER_IN" | "TRANSFER_IN_ACCEPT" | "TRANSFER_IN_CANCEL" | "TRANSFER_IN_RESTART" | "TRANSFER_IN_RETRY" | "TRANSFER_OUT" | "TRANSFER_OUT_ACCEPT" | "TRANSFER_OUT_REJECT" | "TRANSFER_OUT_REQUESTED"

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v2/customers/string/domains/string/actions/AUTH_CODE_REGENERATE"
{
  "type": "AUTH_CODE_PURCHASE",
  "origination": "USER",
  "createdAt": "string",
  "startedAt": "string",
  "completedAt": "string",
  "modifiedAt": "string",
  "status": "ACCEPTED",
  "reason": {
    "code": "string",
    "message": "string",
    "fields": [
      {
        "code": "string",
        "message": "string",
        "path": "string",
        "pathRelated": "string"
      }
    ]
  },
  "requestId": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Cancel the most recent user action for the specified domain

DELETE
/v2/customers/{customerId}/domains/{domain}/actions/{type}

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain whose action is to be cancelled

type*string

The type of action to cancel

Value in"AUTH_CODE_REGENERATE" | "CHANGE_OF_REGISTRANT_DELETE" | "DOMAIN_DELETE" | "DOMAIN_UPDATE" | "DOMAIN_UPDATE_CONTACTS" | "DOMAIN_UPDATE_NAME_SERVERS" | "PRIVACY_FORWARDING_UPDATE" | "REGISTER" | "TRANSFER" | "TRANSFER_IN" | "TRANSFER_IN_ACCEPT" | "TRANSFER_IN_CANCEL" | "TRANSFER_IN_RESTART" | "TRANSFER_IN_RETRY" | "TRANSFER_OUT" | "TRANSFER_OUT_ACCEPT" | "TRANSFER_OUT_REJECT" | "TRANSFER_OUT_REQUESTED"

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.godaddy.com/v2/customers/string/domains/string/actions/AUTH_CODE_REGENERATE"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:update, domains.contact:update, domains.nameserver:update, domains.transfer:execute, domains.transfer:update, domains.forward:update
Rate limit60 req/min per credential
On failureAsync operations return 202 with an Action object. Poll until terminal state. Do not resubmit transfers.

Last updated on

How is this guide?